PHP Manual
Prev |  | Next

# HttpMessage::guessContentType

(no version information, might be only in CVS)

HttpMessage::guessContentType -- Guess content type

## Description

publicstring HttpMessage::guessContentType ( [string magic_file [, int magic_mode = MAGIC_MIME]] )

Attempts to guess the content type of the message body through libmagic.

## Parameters

magic_file

  the magic.mime database to use

magic_mode

  flags for libmagic

## Return Values

Returns the guessed content type on success, or FALSE on failure.

## Errors/Exceptions

Throws HttpRuntimeException, HttpInvalidParamException.

Prev | Home | Next
HttpMessage::toMessageTypeObject | Up | HttpMessage::detach